import java.awt.*;

public class Ball
{
    double px, py;
    int radius;
    double mass;
    Color color;
    Ball()
    {
	color = new Color(255,0,0);
	set_position(50,50);
	set_radius(17);
    }
    Ball(double px, double py, Color color)
    {
	this.color = color;
	set_position(px,py);
	set_radius(17);
    }

    void set_position(double px, double py)
    {
	this.px = px;
	this.py = py;
    }
    
    void set_radius(int r)
    {
	radius = r;
	mass = r*r;
    }

    public String toString()
    {
	String str = "("+px+", "+py+") " + color;
	return str;
    }
    
    
    public void draw(Graphics g) 
    {
	g.setColor(color);
	g.fillOval((int)(px-radius), (int) (py-radius), (int)2*radius, (int)2*radius);
    }

    
}